内容审核
POST /v1/moderations
检查文本内容是否违反使用政策
基本信息
| 项目 | 内容 |
|---|---|
| Base URL | https://www.yunzhuhub.cn |
| 标签 | Moderations |
| Operation ID | createModeration |
认证
- BearerAuth:使用 Bearer Token 认证。 格式:
Authorization: Bearer sk-xxxxxx
密钥安全
请只使用你自己的 API Key。示例中的 <YOUR_API_KEY> 必须在本地替换,不要把真实密钥提交到代码仓库或发送给他人。
参数
无额外路径或查询参数。
请求体
Content-Type: application/json
json
{
"title": "ModerationRequest",
"type": "object",
"required": [
"input"
],
"properties": {
"input": {
"oneOf": [
{
"type": "string"
},
{
"type": "array",
"items": {
"type": "string"
}
}
]
},
"model": {
"type": "string",
"example": "<MODEL_ID>"
}
}
}请求示例
以下示例只用于复制到本地终端,不会从文档站发送请求。
bash
curl --request POST 'https://www.yunzhuhub.cn/v1/moderations' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '<REQUEST_JSON>'响应
200 成功审核
json
{
"title": "ModerationResponse",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"model": {
"type": "string"
},
"results": {
"type": "array",
"items": {
"type": "object",
"properties": {
"flagged": {
"type": "boolean"
},
"categories": {
"type": "object",
"properties": {}
},
"category_scores": {
"type": "object",
"properties": {}
}
}
}
}
}
}